 
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <file.h>
#include <sys/types.h>
#include <fcntl.h>
#include <time.h>
#include <oscalls.h>
 
#include "/sys/drivers/tpro/tpro.h"

/*----------------------------------------
**  main()
**----------------------------------------
*/
int main( argc, argv)
   int  argc;
   char * argv[];
{
   int fdtpro;
   struct tproparms_t  tprop;
   struct timeval  tval;
   struct timezone tzone;
   struct tm *t;

   /* open device driver */
   if( (fdtpro = open("/dev/tpro", O_RDWR, 0x066)) < 0 )
   {
      printf("open(/dev/tpro) error\n");
      exit(0);
   }
 
   /*--------------------------------------
   **  Get the Time.
   */
   ioctl( fdtpro, TPRO_GETTIME, (char*)&tprop );
   close( fdtpro );

   /*--------------------------------------
   **  Read PC time.
   */
   gettimeofday( &tval, &tzone);
   t = gmtime( &tval.tv_sec );

   /*--------------------------------------
   **  Print Time.
   */
   printf("  PC: yday %03d Time %02d:%02d:%02d.%06d \n", 
      t->tm_yday, t->tm_hour, t->tm_min, t->tm_sec, tval.tv_usec);
   printf("TPRO: yday %03d Time %02d:%02d:%02d.%06d \n", tprop.yday,
	   tprop.hour, tprop.min, tprop.sec, tprop.usec);

   return 0;

}

